package com.uas.platform.b2b.service;

import java.util.List;

import com.uas.platform.b2b.model.SaleQuotation;
import com.uas.platform.b2b.model.SaleQuotationItem;

public interface SaleQuotationService {

	/**
	 * 批量保存主动报价
	 * 
	 * @param items
	 *            主动报价明细
	 * @return
	 */
	public void save(List<SaleQuotationItem> items);

	/**
	 * 未传到买家ERP的主动报价
	 * 
	 * @return
	 */
	public List<SaleQuotation> findNotUploadQuotation();

	/**
	 * 主动报价成功传到买家之后
	 * 
	 * @param idArray
	 */
	public void onQuotationUploadSuccess(String[] idArray);

	/**
	 * 主动报价信息（不）采纳之后，写到平台
	 * 
	 * @param quotationItems
	 */
	public void onReplyDecide(List<SaleQuotationItem> quotationItems);

	/**
	 * 查找所有待上传到卖家ERP的主动报价的采纳结果
	 * 
	 * @return
	 */
	List<SaleQuotationItem> findNotUploadQuotationDecide();

	/**
	 * 平台的主动报价的采纳结果传到供应商ERP之后，修改平台里面的采纳结果上传状态
	 * 
	 * @param idArray
	 */
	public void onQuotationDecideDownSuccess(String[] idArray);

}
